> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an ABA check

> Requires the `aba_check:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /aba-checks/{aba_check}
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /aba-checks/{aba_check}:
    get:
      tags:
        - ABA checks
      summary: Get an ABA check
      description: Requires the `aba_check:read` ability.
      operationId: aba-checks.show
      parameters:
        - name: aba_check
          in: path
          required: true
          description: 'The ABA check ID. Example: `aba_01jz8v2q4x...`'
          schema:
            type: string
        - name: include
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - entries
                - entries.verification
          explode: false
        - name: fields[aba-checks]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - description
                - aba_date
                - original_file_name
                - created_at
                - updated_at
          explode: false
        - name: fields[aba-check-entries]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - account_name
                - bsb
                - account_number
                - amount
                - lodgement_reference
                - result
                - passed
          explode: false
        - name: fields[verifications]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - individual_confirmation_mode
                - send_individual_confirmation_sms
                - send_individual_confirmation_email
                - accept_close_match
                - attribution_id
                - individual_confirmation_url
                - failure_reason
                - check_results
                - created_at
                - updated_at
          explode: false
      responses:
        '200':
          description: '`AbaCheckResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AbaCheckResource'
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/AbaCheckEntryResource'
                        - $ref: '#/components/schemas/VerificationResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    AbaCheckResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: aba-checks
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The status of the ABA check.
            description:
              type: string
              description: The description of the ABA file.
            aba_date:
              type: string
              description: The processing date of the ABA file.
            original_file_name:
              type: string
              description: The original file name of the ABA file.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
        relationships:
          type: object
          properties:
            entries:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        const: aba-check-entries
                    required:
                      - id
                      - type
              required:
                - data
      required:
        - id
        - type
      title: AbaCheckResource
    AbaCheckEntryResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: aba-check-entries
        attributes:
          type: object
          properties:
            account_name:
              type: string
              description: The account name from the ABA file entry.
            bsb:
              type: string
              description: The BSB from the ABA file entry.
            account_number:
              type: string
              description: The account number from the ABA file entry.
            amount:
              type: string
              description: The payment amount in cents.
            lodgement_reference:
              type: string
              description: The lodgement reference from the ABA file entry.
            result:
              type: string
              description: The verification result for the ABA file entry.
            passed:
              type: string
              description: Whether the entry matched a known verified contact.
        relationships:
          type: object
          properties:
            verification:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      const: verifications
                  required:
                    - id
                    - type
              required:
                - data
      required:
        - id
        - type
      title: AbaCheckEntryResource
    VerificationResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: verifications
        attributes:
          type: object
          properties:
            status:
              type: string
              description: Current status of the verification.
            individual_confirmation_mode:
              type: string
              description: Verification mode for the individual.
            send_individual_confirmation_sms:
              type: string
              description: Whether confirmation SMS is sent to the individual.
            send_individual_confirmation_email:
              type: string
              description: Whether confirmation email is sent to the individual.
            accept_close_match:
              type: string
              description: Whether to accept close match for individual verifications.
            attribution_id:
              type: string
              description: The attribution ID optionally provided upon creation.
            individual_confirmation_url:
              type: string
              description: Confirmation URL for the individual to complete verification.
            failure_reason:
              type: string
              description: Human-readable reason why the verification failed.
            check_results:
              type:
                - object
                - 'null'
              description: Array of verification check results.
              additionalProperties:
                type: object
                additionalProperties:
                  type: string
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: VerificationResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````